using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CD67.FicheCollege.Entity
{
    /// <summary>
    /// Classe d'extension de celle d'Entity, nécessaire pour y associer les Metadata
    /// </summary>
    [MetadataType(typeof(ActionEduActeur_Metadata))]
    public partial class ActionEduActeur
    {
    }

    /// <summary>
    /// Classe contenant les DataAnnotations pour chaque champ
    /// </summary>
    public class ActionEduActeur_Metadata
    {
        [Required(ErrorMessage = "Obligatoire")]
        [Display(Name = "Nom")]
        public string Nom { get; set; }

        [Display(Name = "SSID")]
        public string Sid { get; set; }

        [Required(ErrorMessage = "Obligatoire")]
        [Display(Name = "Rôle")]
        public int RoleId { get; set; }

        public string Commentaire { get; set; }

        [Display(Name = "Action Educative")]
        public string ActionEduId { get; set; }

    }
}